List runs
List all runs with optional filtering by connector-id, connector-version, site-id, state, process-id, and run-id
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Query Parameters
id?string
filter by run UUID
connector-id?string
filter by connector UUID
connector-version?string
filter by connector version
site-id?string
filter by site ID
state?string
filter by state
process-id?string
filter by process UUID
from?integer
starting item
limit?integer
items per page
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://cde.staging.productsup.com/runs"{
"data": [
{
"id": "019e16f3-bfc3-7993-bd03-ad2089ed3b04",
"connector-id": "019e16f3-bfa8-7390-9e63-3354f9aa2939",
"connector-version": "2.0.0",
"state": "finished",
"process-id": "019e16f3-bfc3-79c7-bd03-ad208a64bf34",
"site-id": 1001,
"site-name": "Site 1",
"project-id": 300,
"project-name": "Project 1",
"account-id": 600,
"account-name": "Account 1",
"exit-code": 0,
"container-api-docker-image": null,
"container-api-version-constraint": null,
"cli-command": null,
"registered-secrets": null,
"authentications": null,
"connector-setup-config": null,
"started-at": "2025-10-29T13:09:16+01:00",
"finished-at": "2025-10-29T13:14:16+01:00",
"created-at": "2025-01-04T10:00:00+00:00"
},
{
"id": "019e16f3-bfc0-7e8b-8381-f0af9e0903b0",
"connector-id": "019e16f3-bf9c-7485-b60b-ff3407921934",
"connector-version": "1.1.0",
"state": "finished",
"process-id": "019e16f3-bfc0-7ecb-8381-f0af9e4a6abb",
"site-id": 1001,
"site-name": "Site 1",
"project-id": 635,
"project-name": "Project 1",
"account-id": 508,
"account-name": "Account 1",
"exit-code": 0,
"container-api-docker-image": null,
"container-api-version-constraint": null,
"cli-command": null,
"registered-secrets": null,
"authentications": null,
"connector-setup-config": null,
"started-at": "2025-10-29T12:09:16+01:00",
"finished-at": "2025-10-29T12:14:16+01:00",
"created-at": "2025-01-03T10:00:00+00:00"
},
{
"id": "019e16f3-bfb8-7ed8-8d26-b7d40818d146",
"connector-id": "019e16f3-bf9c-7485-b60b-ff3407921934",
"connector-version": "1.0.1",
"state": "failed",
"process-id": "019e16f3-bfb8-7f0c-8d26-b7d408c0b623",
"site-id": 1002,
"site-name": "Site 2",
"project-id": 650,
"project-name": "Project 2",
"account-id": 748,
"account-name": "Account 2",
"exit-code": 1,
"container-api-docker-image": null,
"container-api-version-constraint": null,
"cli-command": null,
"registered-secrets": null,
"authentications": null,
"connector-setup-config": null,
"started-at": "2025-10-29T11:09:16+01:00",
"finished-at": "2025-10-29T11:14:16+01:00",
"created-at": "2025-01-02T10:00:00+00:00"
},
{
"id": "019e16f3-bfb2-7cdf-a96b-d5921f33fcc4",
"connector-id": "019e16f3-bf9c-7485-b60b-ff3407921934",
"connector-version": "1.0.0",
"state": "finished",
"process-id": "019e16f3-bfb2-7d1b-a96b-d5921f3e4ac5",
"site-id": 1001,
"site-name": "Site 1",
"project-id": 828,
"project-name": "Project 1",
"account-id": 203,
"account-name": "Account 1",
"exit-code": 0,
"container-api-docker-image": null,
"container-api-version-constraint": null,
"cli-command": null,
"registered-secrets": null,
"authentications": null,
"connector-setup-config": null,
"started-at": "2025-10-29T10:09:16+01:00",
"finished-at": "2025-10-29T10:14:16+01:00",
"created-at": "2025-01-01T10:00:00+00:00"
}
],
"metadata": {
"from": 0,
"limit": 100,
"count": 4,
"total": 4,
"next": null
},
"message": "successful operation",
"resource": "run"
}{
"message": "Bad request.",
"errors": {
"from": "This value should be either positive or zero."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}How is this guide?